Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help

From: Paul Eggert <[email-masked]>
Date: Tue, 21 Jan 2020 16:27:41 -0800

On 1/21/20 10:04 AM, Eli Zaretskii wrote:
> I thought your patch sets
> source-directory to point to where the compressed sources will be
> installed, is that not what it does?

Yes, that's what the patch typically does. However, when Emacs is run 
out of its original source tree the code snippets you cited override the 
typical behavior, and set source-directory to be the original source 
tree instead of to the place where the compressed sources will be installed.